package com.mortals.xhx.module.sample.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sample.model.vo.SampleBillVo;
/**
* 样报服务实体对象
*
* @author zxfei
* @date 2023-02-23
*/

public class SampleBillEntity extends SampleBillVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 事项id
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 事项全称
    */
    private String matterFullName;
    /**
    * 材料名称
    */
    private String materialName;
    /**
    * 材料全称
    */
    private String materialFullName;
    /**
    * 设备编码
    */
    private String deviceCode;
    /**
    * 设备名称
    */
    private String deviceName;
    /**
    * 操作时间
    */
    private Date operTime;



    public SampleBillEntity(){}
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 事项id
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项id
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 事项全称
    * @return String
    */
    public String getMatterFullName(){
        return matterFullName;
    }
    /**
    * 设置 事项全称
    * @param matterFullName
    */
    public void setMatterFullName(String matterFullName){
        this.matterFullName = matterFullName;
    }
    /**
    * 获取 材料名称
    * @return String
    */
    public String getMaterialName(){
        return materialName;
    }
    /**
    * 设置 材料名称
    * @param materialName
    */
    public void setMaterialName(String materialName){
        this.materialName = materialName;
    }
    /**
    * 获取 材料全称
    * @return String
    */
    public String getMaterialFullName(){
        return materialFullName;
    }
    /**
    * 设置 材料全称
    * @param materialFullName
    */
    public void setMaterialFullName(String materialFullName){
        this.materialFullName = materialFullName;
    }
    /**
    * 获取 设备编码
    * @return String
    */
    public String getDeviceCode(){
        return deviceCode;
    }
    /**
    * 设置 设备编码
    * @param deviceCode
    */
    public void setDeviceCode(String deviceCode){
        this.deviceCode = deviceCode;
    }
    /**
    * 获取 设备名称
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 设备名称
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 操作时间
    * @return Date
    */
    public Date getOperTime(){
        return operTime;
    }
    /**
    * 设置 操作时间
    * @param operTime
    */
    public void setOperTime(Date operTime){
        this.operTime = operTime;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SampleBillEntity) {
            SampleBillEntity tmp = (SampleBillEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",matterFullName:").append(getMatterFullName());
        sb.append(",materialName:").append(getMaterialName());
        sb.append(",materialFullName:").append(getMaterialFullName());
        sb.append(",deviceCode:").append(getDeviceCode());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",operTime:").append(getOperTime());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.matterId = 0L;

            this.matterName = "";

            this.matterFullName = "";

            this.materialName = "";

            this.materialFullName = "";

            this.deviceCode = "";

            this.deviceName = "";

            this.operTime = null;
    }
}